Subject: RE: [nemo] moving forward (was: no home network ?)

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 20 Mar 2003 19:50:36 -0000

Let me try to present it with an angle: 

The draft introduces a form of routing protocol. Somehow, you come up
with new routes and you have to install and redistribute these routes. 

I believe there's quite a lot of work to get there. And that the issue
will be highly controversial. Please refer to the "BU adds routes
thread".

My suggestion for the working group is a modular approach. Let us first
agree upon a barebones -by Michael's terms- solution for Basic Nemo
based on TJ's consumer model. You know, something like a MIPv6 host on
the egress and a router on the ingress, as someone (sorry I can't
remember whom, was that Pekka?) put it on the list long ago. And static
routes in the Home Agents to the Mobile Networks.

Is that enough for a real large scale deployment, maybe not. But it's
the common agreed upon ground based on which further work can take place
and a solution be assembled.

In parallel, we can start listing the modules that we would need to top
of that, and sort out the most wanted ones in the ML. My initial
(unordered) list:

* Routing protocol between MR and HA 
=> new protocol? Adaptation of an existing protocol? 

* Multiple homing - Multiple registration 
=> replacement of MIPv6-ND interaction by a multicast based HA-HA
protocol.

* RO inside the nested nemo

* RO to the CR

* IPv4 PAT NAT traversal (YES;-)

* ...

What do you think?

Pascal

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: jeudi 20 mars 2003 19:14
> To: Ryuji Wakikawa
> Cc: [email-masked]; Pascal Thubert (pthubert); 
> [email-masked]
> Subject: Re: [nemo] comments on 
> draft-wakikawa-nemo-basic-00.txt -> no home network ?
> 
> 
> Ryuji Wakikawa wrote:
> >> IMHO, it is a really inefficient way of routing packets.
> >> searching the binding cache for a route to the mobile network is
> >>  a lot slower than having a routing entry in the HA's routing 
> >> table. (route lookup is faster).
> > 
> > 
> > Can you elaborate on the performance difference between binding
> > cache and routing table? Processing steps of searching are almost 
> > same.
> 
> The only difference I can see is that an execution averages 
> shorter times if you use an exact prefix instead of a 
> variable longest-prefix match.
> 
> Of course, it all depends on too many other factors that are 
> very often overlooked in the implementation.  I don't think 
> we can use speed of search as a differentiator between styles 
> of writing specs.
> 
> Alex
> 
>

---

From: William D Ivancic <[email-masked]>
Date: Fri, 21 Mar 2003 00:15:54 -0500

>
> > There are more issues though on how to make an existing
> > protocol work over the MRHA tunnel (or other phrasing).  The
> > first thing that I would like to find is whether is there any
> > place where OSPF (example) was made to work over a tunnel.
> > Or maybe that is not the question.

I believe one should be able to easily run a routing protocol over a 
tunnel.  However, do not decrement the TTL or, I believe, you will find it 
does not work.   The TTL is set to one, gets decremented to Zero and the 
packet is dropped.  I had this problem when placing encryptors between an 
FA and MR router in IPv4.  The problem also arose when I needed to run 
routing protocols over a tunnel using external encryption devices.

Will

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 21 Mar 2003 16:58:49 -0000

>  > Can there ever be the case that a child in one nested net 
> could pass  > traffic directly to another child in the same 
> nested net without  > going back through the base-wired-landline net?
> 
> As it currently stands, no. This is, of course,
> why route optimization would be nice if it could
> be engineered...
> 
True... Unless you place an aggregating home agent in a MR up in the
nested structure.

Pascal